diff --git a/frontend/src/components/TransactionLinks/TransactionLink.vue b/frontend/src/components/TransactionLinks/TransactionLink.vue
index c7b7682ec..76f705e35 100644
--- a/frontend/src/components/TransactionLinks/TransactionLink.vue
+++ b/frontend/src/components/TransactionLinks/TransactionLink.vue
@@ -18,9 +18,17 @@
                 <b-icon icon="three-dots-vertical"></b-icon>
               </template>
 
-              <b-dropdown-item v-if="validLink" class="test-copy-link" @click="copy">
+              <b-dropdown-item v-if="validLink" class="test-copy-link" @click="copyLink">
                 <b-icon icon="clipboard"></b-icon>
-                {{ $t('gdd_per_link.copy') }}
+                {{ $t('gdd_per_link.copy-link') }}
+              </b-dropdown-item>
+              <b-dropdown-item
+                v-if="validLink"
+                class="test-copy-text pt-3"
+                @click="copyLinkWithText"
+              >
+                <b-icon icon="clipboard-plus"></b-icon>
+                {{ $t('gdd_per_link.copy-link-with-text') }}
               </b-dropdown-item>
               <b-dropdown-item
                 v-if="validLink"
@@ -68,9 +76,11 @@ import MemoRow from '../TransactionRows/MemoRow'
 import DateRow from '../TransactionRows/DateRow'
 import DecayRow from '../TransactionRows/DecayRow'
 import FigureQrCode from '@/components/QrCode/FigureQrCode.vue'
+import { copyLinks } from '../../mixins/copyLinks'
 
 export default {
   name: 'TransactionLink',
+  mixins: [copyLinks],
   components: {
     TypeIcon,
     AmountAndNameRow,
@@ -80,25 +90,10 @@ export default {
     FigureQrCode,
   },
   props: {
-    amount: { type: String, required: true },
-    link: { type: String, required: true },
     holdAvailableAmount: { type: String, required: true },
     id: { type: Number, required: true },
-    memo: { type: String, required: true },
-    validUntil: { type: String, required: true },
   },
   methods: {
-    copy() {
-      navigator.clipboard
-        .writeText(this.link)
-        .then(() => {
-          this.toastSuccess(this.$t('gdd_per_link.link-copied'))
-        })
-        .catch(() => {
-          this.$bvModal.show('modalPopoverCopyError' + this.id)
-          this.toastError(this.$t('gdd_per_link.not-copied'))
-        })
-    },
     deleteLink() {
       this.$bvModal.msgBoxConfirm(this.$t('gdd_per_link.delete-the-link')).then(async (value) => {
         if (value)
diff --git a/frontend/src/graphql/mutations.js b/frontend/src/graphql/mutations.js
index 9b035cba6..959bdefc3 100644
--- a/frontend/src/graphql/mutations.js
+++ b/frontend/src/graphql/mutations.js
@@ -74,6 +74,9 @@ export const createTransactionLink = gql`
   mutation($amount: Decimal!, $memo: String!) {
     createTransactionLink(amount: $amount, memo: $memo) {
       link
+      amount
+      memo
+      validUntil
     }
   }
 `
@@ -89,3 +92,33 @@ export const redeemTransactionLink = gql`
     redeemTransactionLink(code: $code)
   }
 `
+
+export const createContribution = gql`
+  mutation($creationDate: String!, $memo: String!, $amount: Decimal!) {
+    createContribution(creationDate: $creationDate, memo: $memo, amount: $amount) {
+      amount
+      memo
+    }
+  }
+`
+
+export const updateContribution = gql`
+  mutation($contributionId: Int!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
+    updateContribution(
+      contributionId: $contributionId
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    ) {
+      id
+      amount
+      memo
+    }
+  }
+`
+
+export const deleteContribution = gql`
+  mutation($id: Int!) {
+    deleteContribution(id: $id)
+  }
+`
diff --git a/frontend/src/graphql/queries.js b/frontend/src/graphql/queries.js
index c6c847868..97c51df9e 100644
--- a/frontend/src/graphql/queries.js
+++ b/frontend/src/graphql/queries.js
@@ -13,6 +13,7 @@ export const login = gql`
       hasElopage
       publisherId
       isAdmin
+      creation
     }
   }
 `
@@ -30,6 +31,7 @@ export const verifyLogin = gql`
       hasElopage
       publisherId
       isAdmin
+      creation
     }
   }
 `
@@ -114,17 +116,33 @@ export const queryOptIn = gql`
 export const queryTransactionLink = gql`
   query($code: String!) {
     queryTransactionLink(code: $code) {
-      id
-      amount
-      memo
-      createdAt
-      validUntil
-      redeemedAt
-      deletedAt
-      user {
-        firstName
-        publisherId
-        email
+      ... on TransactionLink {
+        id
+        amount
+        memo
+        createdAt
+        validUntil
+        redeemedAt
+        deletedAt
+        user {
+          firstName
+          publisherId
+          email
+        }
+      }
+      ... on ContributionLink {
+        id
+        validTo
+        validFrom
+        amount
+        name
+        memo
+        cycle
+        createdAt
+        code
+        link
+        deletedAt
+        maxAmountPerMonth
       }
     }
   }
@@ -158,4 +176,51 @@ export const listContributionLinks = gql`
       maxAmount
     }
   }
+ `
+ 
+export const listContributions = gql`
+  query(
+    $currentPage: Int = 1
+    $pageSize: Int = 25
+    $order: Order = DESC
+    $filterConfirmed: Boolean = false
+  ) {
+    listContributions(
+      currentPage: $currentPage
+      pageSize: $pageSize
+      order: $order
+      filterConfirmed: $filterConfirmed
+    ) {
+      contributionCount
+      contributionList {
+        id
+        amount
+        memo
+        createdAt
+        contributionDate
+        confirmedAt
+        confirmedBy
+        deletedAt
+      }
+    }
+  }
+`
+
+export const listAllContributions = gql`
+  query($currentPage: Int = 1, $pageSize: Int = 25, $order: Order = DESC) {
+    listAllContributions(currentPage: $currentPage, pageSize: $pageSize, order: $order) {
+      contributionCount
+      contributionList {
+        id
+        firstName
+        lastName
+        amount
+        memo
+        createdAt
+        contributionDate
+        confirmedAt
+        confirmedBy
+      }
+    }
+  }
 `
diff --git a/frontend/src/i18n.js b/frontend/src/i18n.js
index f4f969008..3136c6d80 100644
--- a/frontend/src/i18n.js
+++ b/frontend/src/i18n.js
@@ -75,6 +75,19 @@ const dateTimeFormats = {
       hour: 'numeric',
       minute: 'numeric',
     },
+    monthShort: {
+      month: 'short',
+    },
+    month: {
+      month: 'long',
+    },
+    year: {
+      year: 'numeric',
+    },
+    monthAndYear: {
+      month: 'long',
+      year: 'numeric',
+    },
   },
   de: {
     short: {
@@ -90,6 +103,19 @@ const dateTimeFormats = {
       hour: 'numeric',
       minute: 'numeric',
     },
+    monthShort: {
+      month: 'short',
+    },
+    month: {
+      month: 'long',
+    },
+    year: {
+      year: 'numeric',
+    },
+    monthAndYear: {
+      month: 'long',
+      year: 'numeric',
+    },
   },
 }
 
diff --git a/frontend/src/layouts/AuthLayout.spec.js b/frontend/src/layouts/AuthLayout.spec.js
index 2246793d5..30c858ea5 100644
--- a/frontend/src/layouts/AuthLayout.spec.js
+++ b/frontend/src/layouts/AuthLayout.spec.js
@@ -35,9 +35,10 @@ describe('AuthLayout', () => {
     beforeEach(() => {
       wrapper = Wrapper()
     })
+
     describe('Mobile Version Start', () => {
       beforeEach(() => {
-        wrapper.vm.mobileStart = true
+        wrapper.findComponent({ name: 'AuthMobileStart' }).vm.$emit('set-mobile-start', true)
       })
 
       it('has Component AuthMobileStart', () => {
diff --git a/frontend/src/layouts/AuthLayout.vue b/frontend/src/layouts/AuthLayout.vue
index c886fd7f9..46f58a4a2 100644
--- a/frontend/src/layouts/AuthLayout.vue
+++ b/frontend/src/layouts/AuthLayout.vue
@@ -13,9 +13,6 @@
           <auth-carousel class="carousel" />
         </div>
         <div class="bg-txt-box position-relative d-none d-lg-block text-center align-self-center">
-          <div class="h0 text-white">{{ $t('auth.left.gratitude') }}</div>
-          <div class="h1 text-white">{{ $t('auth.left.newCurrency') }}</div>
-          <div class="h2 text-white">{{ $t('auth.left.oneAnotherNature') }}</div>
           <b-link :href="`https://gradido.net/${$i18n.locale}`" target="_blank">
             <b-button variant="gradido">
               {{ $t('auth.left.learnMore') }}
@@ -31,10 +28,10 @@
                 <auth-navbar-small />
               </b-col>
             </b-row>
-            <b-row class="mt-5 pl-2 pl-md-0 pl-lg-0">
-              <b-col cols="9">
-                <div class="h1 mb--2">{{ $t('welcome') }}</div>
-                <div class="h1 mb-0">{{ $t('WelcomeBy', { name: communityName }) }}</div>
+            <b-row class="mt-0 mt-md-5 pl-2 pl-md-0 pl-lg-0">
+              <b-col lg="9" md="9" sm="12">
+                <div class="mb--2">{{ $t('welcome') }}</div>
+                <div class="h1 mb-0">{{ communityName }}</div>
                 <div class="mb-0">{{ $t('1000thanks') }}</div>
               </b-col>
               <b-col cols="3" class="text-right d-none d-sm-none d-md-inline">
@@ -150,20 +147,10 @@ export default {
 }
 
 .bg-txt-box {
-  margin-top: 317px;
+  margin-top: 520px;
   text-shadow: 2px 2px 8px #000000;
   max-width: 733px;
 }
-.bg-txt-box > .h0 {
-  font-size: 4em;
-  text-shadow: -2px -2px -8px #e4a907;
-}
-
-.bg-txt-box .h1,
-.bg-txt-box .h2 {
-  font-size: 1.5em;
-  text-shadow: -2px -2px -8px #e4a907;
-}
 
 .bg-img {
   border-radius: 0% 50% 70% 0% / 50% 70% 70% 50%;
diff --git a/frontend/src/layouts/DashboardLayout.vue b/frontend/src/layouts/DashboardLayout.vue
index cd8794c40..8e778ab01 100755
--- a/frontend/src/layouts/DashboardLayout.vue
+++ b/frontend/src/layouts/DashboardLayout.vue
@@ -32,6 +32,7 @@
           </fade-transition>
         </div>
         <content-footer v-if="!$route.meta.hideFooter"></content-footer>
+        <session-logout-timeout @logout="logout"></session-logout-timeout>
       </div>
     </div>
   </div>
@@ -39,6 +40,7 @@
 <script>
 import Navbar from '@/components/Menu/Navbar.vue'
 import Sidebar from '@/components/Menu/Sidebar.vue'
+import SessionLogoutTimeout from '@/components/SessionLogoutTimeout.vue'
 import { logout, transactionsQuery } from '@/graphql/queries'
 import ContentFooter from '@/components/ContentFooter.vue'
 import { FadeTransition } from 'vue2-transitions'
@@ -49,6 +51,7 @@ export default {
   components: {
     Navbar,
     Sidebar,
+    SessionLogoutTimeout,
     ContentFooter,
     FadeTransition,
   },
diff --git a/frontend/src/mixins/copyLinks.js b/frontend/src/mixins/copyLinks.js
new file mode 100644
index 000000000..415358c9b
--- /dev/null
+++ b/frontend/src/mixins/copyLinks.js
@@ -0,0 +1,44 @@
+export const copyLinks = {
+  props: {
+    link: { type: String, required: true },
+    amount: { type: String, required: true },
+    memo: { type: String, required: true },
+    validUntil: { type: String, required: true },
+  },
+  data() {
+    return {
+      canCopyLink: true,
+    }
+  },
+  methods: {
+    copyLink() {
+      navigator.clipboard
+        .writeText(this.link)
+        .then(() => {
+          this.toastSuccess(this.$t('gdd_per_link.link-copied'))
+        })
+        .catch(() => {
+          this.canCopyLink = false
+          this.toastError(this.$t('gdd_per_link.not-copied'))
+        })
+    },
+    copyLinkWithText() {
+      navigator.clipboard
+        .writeText(
+          `${this.link}
+${this.$store.state.firstName} ${this.$t('transaction-link.send_you')} ${this.amount} Gradido.
+"${this.memo}"
+${this.$t('gdd_per_link.credit-your-gradido')} ${this.$t('gdd_per_link.validUntilDate', {
+            date: this.$d(new Date(this.validUntil), 'short'),
+          })}`,
+        )
+        .then(() => {
+          this.toastSuccess(this.$t('gdd_per_link.link-and-text-copied'))
+        })
+        .catch(() => {
+          this.canCopyLink = false
+          this.toastError(this.$t('gdd_per_link.not-copied'))
+        })
+    },
+  },
+}
diff --git a/frontend/src/pages/Community.spec.js b/frontend/src/pages/Community.spec.js
new file mode 100644
index 000000000..b4aa43785
--- /dev/null
+++ b/frontend/src/pages/Community.spec.js
@@ -0,0 +1,408 @@
+import { mount } from '@vue/test-utils'
+import Community from './Community'
+import { toastErrorSpy, toastSuccessSpy } from '@test/testSetup'
+import { createContribution, updateContribution, deleteContribution } from '@/graphql/mutations'
+import { listContributions, listAllContributions, verifyLogin } from '@/graphql/queries'
+
+const localVue = global.localVue
+
+const mockStoreDispach = jest.fn()
+const apolloQueryMock = jest.fn()
+const apolloMutationMock = jest.fn()
+
+describe('Community', () => {
+  let wrapper
+
+  const mocks = {
+    $t: jest.fn((t) => t),
+    $d: jest.fn((d) => d),
+    $apollo: {
+      query: apolloQueryMock,
+      mutate: apolloMutationMock,
+    },
+    $store: {
+      dispatch: mockStoreDispach,
+      state: {
+        creation: ['1000', '1000', '1000'],
+      },
+    },
+    $i18n: {
+      locale: 'en',
+    },
+  }
+
+  const Wrapper = () => {
+    return mount(Community, {
+      localVue,
+      mocks,
+    })
+  }
+
+  describe('mount', () => {
+    beforeEach(() => {
+      apolloQueryMock.mockResolvedValue({
+        data: {
+          listContributions: {
+            contributionList: [
+              {
+                id: 1555,
+                amount: '200',
+                memo: 'Fleisig, fleisig am Arbeiten mein lieber Freund, 50 Zeichen sind viel',
+                createdAt: '2022-07-15T08:47:06.000Z',
+                deletedAt: null,
+                confirmedBy: null,
+                confirmedAt: null,
+              },
+            ],
+            contributionCount: 1,
+          },
+          listAllContributions: {
+            contributionList: [
+              {
+                id: 1555,
+                amount: '200',
+                memo: 'Fleisig, fleisig am Arbeiten mein lieber Freund, 50 Zeichen sind viel',
+                createdAt: '2022-07-15T08:47:06.000Z',
+                deletedAt: null,
+                confirmedBy: null,
+                confirmedAt: null,
+              },
+              {
+                id: 1556,
+                amount: '400',
+                memo: 'Ein anderer lieber Freund ist auch sehr felißig am Arbeiten!!!!',
+                createdAt: '2022-07-16T08:47:06.000Z',
+                deletedAt: null,
+                confirmedBy: null,
+                confirmedAt: null,
+              },
+            ],
+            contributionCount: 2,
+          },
+        },
+      })
+      wrapper = Wrapper()
+    })
+
+    it('has a DIV .community-page', () => {
+      expect(wrapper.find('div.community-page').exists()).toBe(true)
+    })
+
+    describe('tabs', () => {
+      it('has three tabs', () => {
+        expect(wrapper.findAll('div[role="tabpanel"]')).toHaveLength(3)
+      })
+
+      it('has first tab active by default', () => {
+        expect(wrapper.findAll('div[role="tabpanel"]').at(0).classes('active')).toBe(true)
+      })
+    })
+
+    describe('API calls after creation', () => {
+      it('emits update transactions', () => {
+        expect(wrapper.emitted('update-transactions')).toEqual([[0]])
+      })
+
+      it('queries list of own contributions', () => {
+        expect(apolloQueryMock).toBeCalledWith({
+          fetchPolicy: 'no-cache',
+          query: listContributions,
+          variables: {
+            currentPage: 1,
+            pageSize: 25,
+          },
+        })
+      })
+
+      it('queries list of all contributions', () => {
+        expect(apolloQueryMock).toBeCalledWith({
+          fetchPolicy: 'no-cache',
+          query: listAllContributions,
+          variables: {
+            currentPage: 1,
+            pageSize: 25,
+          },
+        })
+      })
+
+      describe('server response is error', () => {
+        beforeEach(() => {
+          jest.clearAllMocks()
+          apolloQueryMock.mockRejectedValue({ message: 'Ups' })
+          wrapper = Wrapper()
+        })
+
+        it('toasts two errors', () => {
+          expect(toastErrorSpy).toBeCalledTimes(2)
+          expect(toastErrorSpy).toBeCalledWith('Ups')
+        })
+      })
+    })
+
+    describe('set contrubtion', () => {
+      describe('with success', () => {
+        const now = new Date().toISOString()
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockResolvedValue({
+            data: {
+              createContribution: true,
+            },
+          })
+          await wrapper.setData({
+            form: {
+              id: null,
+              date: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '200',
+            },
+          })
+          await wrapper.find('form').trigger('submit')
+        })
+
+        it('calls the create contribution mutation', () => {
+          expect(apolloMutationMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            mutation: createContribution,
+            variables: {
+              creationDate: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '200',
+            },
+          })
+        })
+
+        it('toasts a success message', () => {
+          expect(toastSuccessSpy).toBeCalledWith('contribution.submitted')
+        })
+
+        it('updates the contribution list', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            query: listContributions,
+            variables: {
+              currentPage: 1,
+              pageSize: 25,
+            },
+          })
+        })
+
+        it('verifies the login (to get the new creations available)', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            query: verifyLogin,
+            fetchPolicy: 'network-only',
+          })
+        })
+
+        it('set all data to the default values)', () => {
+          expect(wrapper.vm.form.id).toBe(null)
+          expect(wrapper.vm.form.date).toBe('')
+          expect(wrapper.vm.form.memo).toBe('')
+          expect(wrapper.vm.form.amount).toBe('')
+        })
+      })
+
+      describe('with error', () => {
+        const now = new Date().toISOString()
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockRejectedValue({
+            message: 'Ouch!',
+          })
+          await wrapper.setData({
+            form: {
+              id: null,
+              date: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '200',
+            },
+          })
+          await wrapper.find('form').trigger('submit')
+        })
+
+        it('toasts the error message', () => {
+          expect(toastErrorSpy).toBeCalledWith('Ouch!')
+        })
+      })
+    })
+
+    describe('update contrubtion', () => {
+      describe('with success', () => {
+        const now = new Date().toISOString()
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockResolvedValue({
+            data: {
+              updateContribution: true,
+            },
+          })
+          await wrapper
+            .findComponent({ name: 'ContributionForm' })
+            .vm.$emit('update-contribution', {
+              id: 2,
+              date: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '400',
+            })
+        })
+
+        it('calls the update contribution mutation', () => {
+          expect(apolloMutationMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            mutation: updateContribution,
+            variables: {
+              contributionId: 2,
+              creationDate: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '400',
+            },
+          })
+        })
+
+        it('toasts a success message', () => {
+          expect(toastSuccessSpy).toBeCalledWith('contribution.updated')
+        })
+
+        it('updates the contribution list', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            query: listContributions,
+            variables: {
+              currentPage: 1,
+              pageSize: 25,
+            },
+          })
+        })
+
+        it('verifies the login (to get the new creations available)', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            query: verifyLogin,
+            fetchPolicy: 'network-only',
+          })
+        })
+
+        it('set all data to the default values)', () => {
+          expect(wrapper.vm.form.id).toBe(null)
+          expect(wrapper.vm.form.date).toBe('')
+          expect(wrapper.vm.form.memo).toBe('')
+          expect(wrapper.vm.form.amount).toBe('')
+        })
+      })
+
+      describe('with error', () => {
+        const now = new Date().toISOString()
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockRejectedValue({
+            message: 'Oh No!',
+          })
+          await wrapper
+            .findComponent({ name: 'ContributionForm' })
+            .vm.$emit('update-contribution', {
+              id: 2,
+              date: now,
+              memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+              amount: '400',
+            })
+        })
+
+        it('toasts the error message', () => {
+          expect(toastErrorSpy).toBeCalledWith('Oh No!')
+        })
+      })
+    })
+
+    describe('delete contribution', () => {
+      let contributionListComponent
+
+      beforeEach(async () => {
+        await wrapper.setData({ tabIndex: 1 })
+        contributionListComponent = await wrapper.findComponent({ name: 'ContributionList' })
+      })
+
+      describe('with success', () => {
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockResolvedValue({
+            data: {
+              deleteContribution: true,
+            },
+          })
+          contributionListComponent.vm.$emit('delete-contribution', { id: 2 })
+        })
+
+        it('calls the API', () => {
+          expect(apolloMutationMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            mutation: deleteContribution,
+            variables: {
+              id: 2,
+            },
+          })
+        })
+
+        it('toasts a success message', () => {
+          expect(toastSuccessSpy).toBeCalledWith('contribution.deleted')
+        })
+
+        it('updates the contribution list', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            fetchPolicy: 'no-cache',
+            query: listContributions,
+            variables: {
+              currentPage: 1,
+              pageSize: 25,
+            },
+          })
+        })
+
+        it('verifies the login (to get the new creations available)', () => {
+          expect(apolloQueryMock).toBeCalledWith({
+            query: verifyLogin,
+            fetchPolicy: 'network-only',
+          })
+        })
+      })
+
+      describe('with error', () => {
+        beforeEach(async () => {
+          jest.clearAllMocks()
+          apolloMutationMock.mockRejectedValue({
+            message: 'Oh my god!',
+          })
+          contributionListComponent.vm.$emit('delete-contribution', { id: 2 })
+        })
+
+        it('toasts the error message', () => {
+          expect(toastErrorSpy).toBeCalledWith('Oh my god!')
+        })
+      })
+    })
+
+    describe('update contribution form', () => {
+      const now = new Date().toISOString()
+      beforeEach(async () => {
+        await wrapper.setData({ tabIndex: 1 })
+        await wrapper
+          .findComponent({ name: 'ContributionList' })
+          .vm.$emit('update-contribution-form', {
+            id: 2,
+            contributionDate: now,
+            memo: 'Mein Beitrag zur Gemeinschaft für diesen Monat ...',
+            amount: '400',
+          })
+      })
+
+      it('sets the form data to the new values', () => {
+        expect(wrapper.vm.form.id).toBe(2)
+        expect(wrapper.vm.form.date).toBe(now)
+        expect(wrapper.vm.form.memo).toBe('Mein Beitrag zur Gemeinschaft für diesen Monat ...')
+        expect(wrapper.vm.form.amount).toBe('400')
+      })
+
+      it('sets tab index back to 0', () => {
+        expect(wrapper.vm.tabIndex).toBe(0)
+      })
+    })
+  })
+})
